> This page is for Itential Platform On-Prem, version 6 (default).
> For other versions, use one of these documentation indexes:
> - 6 (default): https://docs-test.itntl.com/itential-platform/6/llms.txt
> - 2023.2: https://docs-test.itntl.com/itential-platform/2023-2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-test.itntl.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-test.itntl.com/_mcp/server.

# Get information about a specific service on a Gateway

GET https://example.itential.io/gateway_manager/v1/services/{id}

Returns a service.

Reference: https://docs-test.itntl.com/itential-platform/6/api-reference/gateway-manager/get-service-by-id

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `id` (string, required) — The Id of the service on the gateway instance

## Response

### 200

Information about the service

- `state` (string, optional)
- `result` (GatewayManagerV1ServicesIdGetResponsesContentApplicationJsonSchemaResult, optional)

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Types

### GatewayManagerV1ServicesIdGetResponsesContentApplicationJsonSchemaResult

- `_id` (string, optional)
- `active` (boolean, optional)
- `service_metadata` (GatewayManagerV1ServicesIdGetResponsesContentApplicationJsonSchemaResultServiceMetadata, optional)
- `last_run` (integer, optional)
- `schedule` (GatewayManagerV1ServicesIdGetResponsesContentApplicationJsonSchemaResultSchedule, optional)

### GatewayManagerV1ServicesIdGetResponsesContentApplicationJsonSchemaResultServiceMetadata

- `location` (string, optional)
- `id` (string, optional)
- `key` (string, optional)
- `type` (string, optional)
- `created` (string, optional)
- `name` (string, optional)
- `description` (string, optional)
- `decorator` (GatewayManagerV1ServicesIdGetResponsesContentApplicationJsonSchemaResultServiceMetadataDecorator, optional)
- `repository` (GatewayManagerV1ServicesIdGetResponsesContentApplicationJsonSchemaResultServiceMetadataRepository, optional)
- `tags` (list of any, optional)
- `working_dir` (string, optional)
- `entity` (GatewayManagerV1ServicesIdGetResponsesContentApplicationJsonSchemaResultServiceMetadataEntity, optional)

### GatewayManagerV1ServicesIdGetResponsesContentApplicationJsonSchemaResultSchedule

### GatewayManagerV1ServicesIdGetResponsesContentApplicationJsonSchemaResultServiceMetadataDecorator

### GatewayManagerV1ServicesIdGetResponsesContentApplicationJsonSchemaResultServiceMetadataRepository

- `id` (string, optional)
- `name` (string, optional)
- `type` (string, optional)

### GatewayManagerV1ServicesIdGetResponsesContentApplicationJsonSchemaResultServiceMetadataEntity

## Examples

**Response**

```json
{
  "state": "Success",
  "result": {
    "_id": "67114d64d97db4ea87998b79",
    "active": true,
    "service_metadata": {
      "location": "cluster_1",
      "id": "debe9024-52ee-4b39-8c49-96567ff925e4",
      "key": "gateway/cluster_1/services/v1/opentofu-plan/my-tofu-service",
      "type": "opentofu-plan",
      "created": "2024-10-17T17:45:06.544672610Z",
      "name": "my-tofu-service",
      "description": "string",
      "decorator": {},
      "repository": {
        "id": "string",
        "name": "t-scripts",
        "type": "v1.Repository"
      },
      "tags": [
        "string"
      ],
      "working_dir": "plan-dir",
      "entity": {}
    },
    "last_run": 1729187315871,
    "schedule": {}
  }
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/gateway_manager/v1/services/debe9024-52ee-4b39-8c49-96567ff925e4"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/gateway_manager/v1/services/debe9024-52ee-4b39-8c49-96567ff925e4';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/gateway_manager/v1/services/debe9024-52ee-4b39-8c49-96567ff925e4"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/gateway_manager/v1/services/debe9024-52ee-4b39-8c49-96567ff925e4")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/gateway_manager/v1/services/debe9024-52ee-4b39-8c49-96567ff925e4")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/gateway_manager/v1/services/debe9024-52ee-4b39-8c49-96567ff925e4');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/gateway_manager/v1/services/debe9024-52ee-4b39-8c49-96567ff925e4");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/gateway_manager/v1/services/debe9024-52ee-4b39-8c49-96567ff925e4")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```